{
  lib, stdenv
, python3 # for makesite.py and pgp-sign.py
}:

stdenv.mkDerivation {
  pname = "shared-assets";
  version = "202205120-01";

  src = ../.;

  propagatedBuildInputs = [ python3 python3.pkgs.markdown ];

  installPhase = ''
    mkdir -p $out/bin
    cp -v makesite.py pgp-sign.py $out/bin
    cp -vr assets/ $out/
  '';

  doCheck = false;

  meta = with lib; {
    description = "Shared assets for polynom.me web pages";
    homepage = "https://git.polynom.me/polynom.me/shared-assets";
    maintainers = [];
    license = licenses.gpl3;
  };
}
